## ros-melodic-lanelet2-python 1.0.1

=== CMakeLists.txt ===
set(MRT_PKG_VERSION 4.0.0)
# Modify only if you know what you are doing!
cmake_minimum_required(VERSION 3.5.1)
project(lanelet2_python)

###################
## Find packages ##
###################
find_package(mrt_cmake_modules REQUIRED)
include(UseMrtStdCompilerFlags)
include(GatherDeps)

# You can add a custom.cmake in order to add special handling for this package. E.g. you can do:
# list(REMOVE_ITEM DEPENDEND_PACKAGES <package name 1> <package name 2> ...)
# To remove libs which cannot be found automatically. You can also "find_package" other, custom dependencies there.
# You can also set PROJECT_INSTALL_FILES to install files that are not installed by default.
if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/custom.cmake")
    include("${CMAKE_CURRENT_SOURCE_DIR}/custom.cmake")
endif()

find_package(AutoDeps REQUIRED COMPONENTS ${DEPENDEND_PACKAGES})

mrt_parse_package_xml()

########################
## Add python modules ##
########################
# This adds a python module if located under src/{PROJECT_NAME)
mrt_python_module_setup()

mrt_glob_files(PROJECT_PYTHON_SOURCE_FILES_SRC "python_api/*.cpp")
if (PROJECT_PYTHON_SOURCE_FILES_SRC)
    # Add a cpp-python api library. Make sure there are no name collisions with python modules in this project
    mrt_add_python_api( lanelet2
        FILES ${PROJECT_PYTHON_SOURCE_FILES_SRC}
        )
endif()

############################
## Read source code files ##
############################
mrt_glob_files_recurse(PROJECT_HEADER_FILES_INC "include/*.h" "include/*.hpp" "include/*.cuh")
mrt_glob_files(PROJECT_SOURCE_FILES_INC "src/*.h" "src/*.hpp" "src/*.cuh")
mrt_glob_files(PROJECT_SOURCE_FILES_SRC "src/*.cpp" "src/*.cu")

###########
## Build ##
###########
# Declare a cpp library
mrt_add_library(${PROJECT_NAME}
    INCLUDES ${PROJECT_HEADER_FILES_INC} ${PROJECT_SOURCE_FILES_INC}
    SOURCES ${PROJECT_SOURCE_FILES_SRC}
    )

#############
## Install ##
#############
# Install all targets, headers by default and scripts and other files if specified (folders or files).
# This command also exports libraries and config files for dependent packages and this supersedes catkin_package.
mrt_install(PROGRAMS scripts FILES res data ${PROJECT_INSTALL_FILES})

#############
## Testing ##
#############
# Add test targets for cpp and python tests
if (CATKIN_ENABLE_TESTING)
    mrt_add_tests(test)
    mrt_add_nosetests(test)
endif()

=== debian/changelog ===
ros-melodic-lanelet2-python (1.0.1-1bionic) bionic; urgency=high

  * Fix python bindings for lanelet submap
  * lanelet2_python: Register constructor for SpeedLimits
  * Register more geometry functions (#96, #97)
  * Register Lanelet::resetCache in python
  * Make sure lanelet2 buildtool_export_depends on mrt_cmake_modules
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 23 Mar 2020 23:00:00 -0000

ros-melodic-lanelet2-python (1.0.0-1bionic) bionic; urgency=high

  * Bump version to 1.0
  * Apply clang-tidy fixes
  * lanelet2_python: move converter header to internal include dir
  * added equals for points
  * Python: Fix registration of LaneletMap::add(Point3d)
  * lanelet2_python: Fix wrongly registered RoutingCostDistance
  * Fix default values for lane changes in RoutingGraph
  * RoutingGraph and Route now use the new LaneletSubmap to store the lanelets they are using
  * Add a new class 'LaneletSubmap' that only contains parts of the map and is faster to construct
  * Routing graph and route object now support queries with a custom search function
  * Extended and simplified the reachablePath/Set functions
  * Refactored the internal representation of the route. Cleaned up headers that are only supposed to be used internally
  * Offer reverse routing (possibleRoutesTowards), bindings, unittests
  * Refactor FilteredGraphs and RelationTypes to use bitmasks
  * Improve the distance2d and distance3d to support generic distance computations
  * Initial commit
  * Contributors: Fabian Poggenhans, Johannes Janosovits, Maximilian Naumann

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 02 Mar 2020 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-lanelet2-python
Section: misc
Priority: optional
Maintainer: Fabian Poggenhans <fabian.poggenhans@kit.edu>
Build-Depends: debhelper (>= 9.0.0), libboost-python-dev, libgtest-dev, libpython-dev, ros-melodic-catkin, ros-melodic-lanelet2-core, ros-melodic-lanelet2-io, ros-melodic-lanelet2-projection, ros-melodic-lanelet2-routing, ros-melodic-lanelet2-traffic-rules, ros-melodic-mrt-cmake-modules
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-lanelet2-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-python-dev, libpython-dev, ros-melodic-lanelet2-core, ros-melodic-lanelet2-io, ros-melodic-lanelet2-projection, ros-melodic-lanelet2-routing, ros-melodic-lanelet2-traffic-rules, ros-melodic-mrt-cmake-modules
Description: Python bindings for lanelet2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-lanelet2-python//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
